2

After installing your plug in, I looked at the CiviCRM installer page and was shown an error which said "unable to create database triggers". I have shared hosting. Is it possible to still use this plug in?

2

No, you don't need to have root access to the database. However, the database user does need to have the following permissions:

SELECT,INSERT, UPDATE, DELETE, CREATE, DROP, INDEX, ALTER, CREATE TEMPORARY TABLES, LOCK TABLES, TRIGGER, CREATE ROUTINE, ALTER ROUTINE

It sounds like the database user doesn't currently have the required permissions to access the database. You should check with your website host to see if it is possible to get these permissions, but not all shared hosting packages will allow this level of access to the database. If this is not possible with your hosting package you may need to look for a hosting package that does meet these requirements.

See the wiki for more details: CiviCRM MySQL Permission Requirements

And this page for the general requirements: Installation and Upgrades

Not the answer you're looking for? Browse other questions tagged or ask your own question.